@media screen {
    /* Main CSS */
     body {
         overflow-x: hidden;
    }
	/*For product page*/
	body.wp-singular.product-template-default {
			overflow-y: hidden !important;
	}
     a, a span, a i {
         outline: none;
    }
    /* Gravity Forms Validation Stars Here */
     .gfield_error input, .gfield_error textarea {
         background-color: rgba(220,20,60,.2) !important;
    }
     .gform_wrapper .gfield_validation_message, .gform_wrapper .validation_message {
         background: transparent !important;
         border: unset !important;
         font-size: 13px !important;
         margin-top: 0 !important;
         padding: 0 !important;
    }
	.gform_required_legend {
		display: none;
	}
    /* End Gravity Forms Validation Ends Here */
    /* Fix Images in Chrome and Edge Starts Here*/
     img {
         transform: translateZ(0);
         image-rendering: -webkit-optimize-contrast;
    }
    /* Fix Images in Chrome and Edge Ends Here*/
    /* Recaptcha Move to the Left */
     .grecaptcha-badge {
		 display: none !important;
         width: 70px !important;
         overflow: hidden !important;
         transition: all 0.3s ease !important;
         left: 4px !important;
	z-index: 9999; 
    }
     .grecaptcha-badge:hover {
         width: 256px !important;
    }
    /* End Recaptcha Move to the Left */
}
/* Recaptcha hide on mobile */
 @media (max-width: 1024px) {
     .grecaptcha-badge {
         display: none;
    }
}
/* End Recaptcha hide on mobile */

/* woocommerce status */
.woocommerce-info,
.woocommerce-message{
	border-top-color: #c49d75 !important; 
    padding-top: 15px !important;
    padding-left: 50px !important;
}
.woocommerce-info:before,
.woocommerce-message:before{
	color: #c59e76 !important;
}
.woocommerce-info a.button.wc-forward {
	border-radius: 0;
    background-color: var(--e-global-color-secondary) !important;
    color: #fff !important;
	border: 1px solid var(--e-global-color-secondary);
}
.woocommerce-info a.button.wc-forward:hover {
	background-color: transparent !important;
    color: var(--e-global-color-secondary) !important;
}

/* For Gift Cards Input */
input#ywgc-link-code,
.gift-card-content-editor.step-content input,
.gift-card-content-editor.step-content textarea {
	border-radius: 0 !important;
    height: 38px !important;
    border: 1px solid var( --e-global-color-75f38de );
    background-color: #fcfcfc;
    outline: 0 !important;
}
.gift-card-content-editor.step-content textarea {
	height: 80px !important;
}
input#ywgc-link-code:focus,
.gift-card-content-editor.step-content input:focus,
.gift-card-content-editor.step-content textarea:focus{
	border: 1px solid var(--e-global-color-secondary);
}
/* For Gift registry page */

div#addf-gr-registry-search-container {
	justify-content: flex-end;
	display: flex !important;
}
#addf-gr-registry-search-container .select2-selection.select2-selection--single{
	border-radius: 0 !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected]{
	background-color: var(--e-global-color-secondary) !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] a{
    color: #fff !important;
}
.select2-container--default .select2-results__option a{
    color: #4d3939 !important;
}
.woocommerce-MyAccount-content-wrapper form.woocommerce-EditAccountForm .user-registration {
	display: none !important;
}
.woocommerce-MyAccount-content-wrapper form.woocommerce-EditAccountForm .user-registration input.woocommerce-Input.woocommerce-Input--password.input-text{
	border-radius: 0 !important;
	outline: 0 !important;
}
.addf_gr_cursor_div {
	margin: auto;
    background-color: #c99a6a;
    width: 240px;
}
.addf_gr_cursor_div p {
    color: #fff !important;
}
.addf_gr_cursor_div:hover {
    background-color: #bdbbbd !important;
}
.register-new-gift-registry-body input:not(.a_for_create_registry_calcel),
.register-new-gift-registry-body select{
	outline: none !important;
    border: 1px solid #e7e7e7 !important;
    border-radius: 0 !important;
    background-color: transparent !important;
    padding: 10px;
}
.register-new-gift-registry-body input:not(.a_for_create_registry_calcel):focus,
.register-new-gift-registry-body select:focus {
    border: 1px solid var(--e-global-color-secondary) !important;
}
.register-new-gift-registry-body h3 {
	font-size: 16px !important;
    padding-top: 15px;
	text-align: center;
}

table.existing-gift-registry-data-table.addf_gr_edit_registry h2,
.existing-gift-registry-data-table table h2,
table.existing-gift-registry-data-table.addf_gr_edit_registry h3,
.existing-gift-registry-data-table table h3,
.existing-gift-registry-data-table h2, 
.existing-gift-registry-data-table h2 a{
	margin: 0;
}
table.existing-gift-registry-data-table.addf_gr_edit_registry h2,
table.existing-gift-registry-data-table.addf_gr_edit_registry h2 a,
.existing-gift-registry-data-table h2, 
.existing-gift-registry-data-table h2 a{
	font-size: 22px !important;
}
.existing-gift-registry-data-table h2 a {
	color: var(--e-global-color-secondary) !important;
}
.existing-gift-registry-data-table h2 a:hover {
	color: var(--e-global-color-text) !important;
}
table.existing-gift-registry-data-table.addf_gr_edit_registry tr td h3,
.existing-gift-registry-data-table table tr td h3,
.addf_gr_edit_registry_new td h3, 
.addf_gr_edit_registry td h3, 
.addf_gr_popup_text_h{
	font-size: 14px;
    margin: 0;
}
.register-new-gift-registry,
.register-new-gift-registry .register-new-gift-registry-title {
	border: 0 !important;
}
h3.addf_gr_create_new_reg{
	font-size: 18px;
    margin: 0;
	padding: 10px 0 !important;
} 
.register-new-gift-registry .register-new-gift-registry-body {
	padding: 0 10px 30px !important;
}

table.existing-gift-registry-data-table tr td input,
.register-new-gift-registry-body table tr td input,
.existing-gift-registry-data-table tr td input{
	outline: 0 !important;
	border-radius: 0;
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid #333;
    font-size: 14px;
    padding: 5px;
}
table.existing-gift-registry-data-table tr td input:focus,
.register-new-gift-registry-body table tr td input:focus,
.existing-gift-registry-data-table tr td input:focus {
    border-bottom: 1px solid var(--e-global-color-secondary);
}
table.existing-gift-registry-data-table th,
.existing-gift-registry-data-table table th,
.register-new-gift-registry-body table tr th,
table.existing-gift-registry-data-table td,
.existing-gift-registry-data-table table td,
.register-new-gift-registry-body table tr td{
	border: 0 !important; 
    padding: 6px 15px;
    align-content: center;
}
table.existing-gift-registry-data-table tbody>tr:nth-child(odd)>td,
table.existing-gift-registry-data-table tbody>tr:nth-child(odd)>th,
.existing-gift-registry-data-table table tbody>tr:nth-child(odd)>td{
/*     background-color: #fff8f1 !important; */
    background-color: #fcfcfc !important;
}
.register-new-gift-registry-body table tbody>tr th,
.register-new-gift-registry-body table tbody>tr td{
	background-color: #fcfcfc !important;
}
.register-new-gift-registry-body table tr td:first-child{
	width: 20% !important ;
	text-align: left !important;
}
table.existing-gift-registry-data-table tbody tr:nth-child(even):hover>td,
table.existing-gift-registry-data-table tbody tr:nth-child(even):hover>th,
.existing-gift-registry-data-table table tr:nth-child(even):hover>td,
.existing-gift-registry-data-table table tr:nth-child(even):hover>th{
	background-color: #fff;
}

.existing-gift-registry-data-table input.addf-add-product-from-registry,
.existing-gift-registry-data-table button[type="submit"],
.existing-gift-registry-data-table input.addf_gr_close_edit_btn,
.gift_registry_empty button.a_for_create_registry,
button.addf_gift_registry_add_to_cart_from_product_save_to_directory,
button.addf_gift_registry_add_to_cart_from_product_div_cover_close_btn,
.register-new-gift-registry-body button#gift-registry-submit,
.register-new-gift-registry-body input.a_for_create_registry_calcel,
button.gtw-order-gift-wrapper.gtw-popup-gift-wrapper,
.addf_share_mail_gift_registry_btn button.addf_share_mail_gift_registry_btn_submit,
.addf_share_mail_gift_registry_btn input.addf_share_mail_gift_registry_btn_cancel{
	color: #fff;
	background-color: var(--e-global-color-secondary);
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
	font-size: var(--e-global-typography-accent-font-size);
	text-transform: var(--e-global-typography-accent-text-transform);
	border: 2px solid var(--e-global-color-secondary);
	border-radius: 0;
	margin: 0 5px 10px;
}

.existing-gift-registry-data-table input.addf_gr_close_edit_btn {
	color: #fff;
	background-color: #939292;
	border: 2px solid #939292;
}
.existing-gift-registry-data-table input.addf_gr_close_edit_btn:hover {
	background-color: transparent;
	color: #939292;
}
.existing-gift-registry-data-table input.addf-add-product-from-registry:hover,
.existing-gift-registry-data-table button[type="submit"]:hover,
.gift_registry_empty button.a_for_create_registry,
button.addf_gift_registry_add_to_cart_from_product_save_to_directory:hover,
button.addf_gift_registry_add_to_cart_from_product_div_cover_close_btn:hover,
.register-new-gift-registry-body button#gift-registry-submit:hover,
.register-new-gift-registry-body input.a_for_create_registry_calcel:hover,
button.gtw-order-gift-wrapper.gtw-popup-gift-wrapper:hover,
.addf_share_mail_gift_registry_btn button.addf_share_mail_gift_registry_btn_submit:hover,
.addf_share_mail_gift_registry_btn input.addf_share_mail_gift_registry_btn_cancel:hover{
	background-color: transparent;
	color: var(--e-global-color-secondary);
}
.addf_gr_popup_styles_add_reg.addf_gr_popup_styles table tbody>tr:nth-child(odd)>td, 
.addf_gr_popup_styles_add_reg.addf_gr_popup_styles table tbody>tr:nth-child(odd)>th{
    background-color: #fff8f1 !important;
}
.addf_gr_popup_styles_add_reg.addf_gr_popup_styles table tbody>tr>td:hover, 
.addf_gr_popup_styles_add_reg.addf_gr_popup_styles table tbody>tr>th:hover{
    background-color: transparent !important;
}
.gift_registry_empty button.a_for_create_registry:hover{
	color: #fff;
	background-color: var(--e-global-color-secondary);
}
table.existing-gift-registry-data-table tbody tr:nth-last-child(2) td:last-child {
	display: flex;
    align-items: anchor-center;
}
@media(max-width:1024px){
	.yith-ywgc-add-new-gift-card-modal-wrapper{
		min-width: 500px !important;
	}
}
@media(max-width:767px){
	.addf-gr-submit-btn {
		padding-bottom: 10px !important;
	}
	.addf-gr-submit-btn input.addf-add-product-from-registry{
		margin-bottom: 8px !important;
	}
	.yith-ywgc-add-new-gift-card-modal-wrapper{
		min-width: 300px !important;
	}
}

.post-type-archive-addf_gift_registry main.site-main,
#addf-gr-registry-search-container,
.existing-gift-registry-data {
	max-width: 1140px;
    margin: auto;
	margin-bottom: 50px;
}
a.button.addf_gift_registry_add_to_cart_from_product.btn_cur_point {
	margin-top: 30px;
    padding: 16px 26px;
    border-radius: 0;
	color: #fff;
	background-color: var(--e-global-color-secondary);
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
	font-size: var(--e-global-typography-accent-font-size);
	text-transform: var(--e-global-typography-accent-text-transform);
	border: 2px solid var(--e-global-color-secondary);
}
a.button.addf_gift_registry_add_to_cart_from_product.btn_cur_point:hover{
	background-color: transparent;
	color: var(--e-global-color-secondary);
}
#addf-gr-registry-search-container{
	margin-top: 40px;
    margin-bottom: 30px;
}
.storefront-breadcrumb {
	display: none !important;
}
.addf_gr_cursor_div p {
	font-size: 15px;
    margin: 5px;
    color: var(--e-global-color-secondary);
/*     text-decoration: underline; */
}
.addf_gr_cursor_div p:hover{
    color: var(--e-global-color-secondary);
}

/* For Products Archive page */
.e-loop-item a.addf_gift_registry_add_to_cart_from_product:not(.archive-loop-product){
	display: none !important;
}
.e-loop-item a.addf_gift_registry_add_to_cart_from_product.archive-loop-product {
	padding: 8px 7px 6px !important;
    font-size: 12px !important;
    font-weight: 500 !important;
}
.e-loop-item a.addf_gift_registry_add_to_cart_from_product.archive-loop-product:hover {
	background-color: #939292 !important;
	border-color: #939292 !important;
	color: #fff !important;
}

/* For Single Product Page*/
.wcwl_email_elements input.wcwl_email {
	border: 1px solid #333;
    border-radius: 0;
	outline: 0 !important;
}
.wcwl_email_elements input.wcwl_email:focus {
	border-color: var(--e-global-color-secondary);
}
.wcwl_notice.woocommerce-message .wcwl_notice_dismiss {
	background-color: #767676 !important;
    padding: 0 2px !important;
    height: 20px !important;
    margin: 2px !important;
	outline: none !important;
}
.wcwl_notice.woocommerce-message .wcwl_notice_dismiss:hover {
	background-color: #bc9063 !important;
}
button.woocommerce_waitlist.button{
	margin-top: 30px;
    padding: 16px 26px;
    border-radius: 0;
	color: #fff;
	background-color: var(--e-global-color-secondary);
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
	font-size: var(--e-global-typography-accent-font-size);
	text-transform: var(--e-global-typography-accent-text-transform);
	border: 2px solid var(--e-global-color-secondary);
}
button.woocommerce_waitlist.button:hover{
	background-color: transparent;
	color: var(--e-global-color-secondary);
}

/* Wishlist Modal */
.lapilliUI-Modal__paper button.lapilliUI-IconButton__root.lapilliUI-IconButton--ghost{
	padding: 3px !important;
    font-size: 20px !important;
	background-color: var(--e-global-color-secondary) !important;
	color: #fff !important;
	border: 0 !important;
}
.lapilliUI-Modal__paper button.lapilliUI-IconButton__root.lapilliUI-IconButton--ghost:hover{
	background-color: #333 !important;
}
button.yith-wcwl-add-to-wishlist-modal__type_option {
    font-size: 12px !important;
}
@media (max-width: 767px){
	.yith-wcwl-modal .yith-wcwl-modal__title,
	.yith-wcwl-modal div.yith-wcwl-modal__content,
	.yith-wcwl-modal div.yith-wcwl-modal__actions {
		padding-left: 20px !important;
		padding-right: 20px !important;
	}
	.yith-wcwl-add-to-wishlist-modal__type_selection button {
		padding-left: 6px !important;
		padding-right: 6px !important;
		white-space: normal;
    	line-height: 14px;
	}
}

/* For Registration Form */
form.register input.ur-input-border-red, textarea.ur-input-border-red {
	border-color: #e7e7e7 !important;
}

/* For Gift wrapper */
#lightcase-case {
	z-index: 999999 !important;
}
@media(max-width:1024px) and (min-width: 768px){
	#lightcase-case {
		width: 480px !important;
	}
}
@media(max-width: 767px){
	.gtw-popup-product-gift-wrapper-items ul li {
		width: 30% !important;
	}
	.gtw-popup-product-gift-wrapper-items ul li img {
    	width: 85% !important;
	}
}